#!/usr/bin/gnuplot
set terminal postscript eps color solid "Helvetica" 26
set output "spol-bandstr.eps"
set zero 1e-18

set xlabel "|k| (1/a)"
set arrow from 15.2873,-0.4 to 15.2873,0.4  nohead lt 3
set ylabel "E (eV)"

plot "Fe.bcc.FM.bands.up.dat" using 1:2 t "Up-Fe bcc FM" w l lt 1 lc 1 lw 1,\
"Fe.bcc.FM.bands.up.dat" using 1:3 notitle w l lt 1 lc 1 lw 1,\
"Fe.bcc.FM.bands.up.dat" using 1:4 notitle w l lt 1 lc 1 lw 1,\
"Fe.bcc.FM.bands.up.dat" using 1:5 notitle w l lt 1 lc 1 lw 1,\
"Fe.bcc.FM.bands.up.dat" using 1:6 notitle w l lt 1 lc 1 lw 1,\
"Fe.bcc.FM.bands.up.dat" using 1:7 notitle w l lt 1 lc 1 lw 1,\
"Fe.bcc.FM.bands.dn.dat" using 1:2 t "Down-Fe bcc FM" w l lt 3 lc 2 lw 1,\
"Fe.bcc.FM.bands.dn.dat" using 1:3 notitle w l lt 3 lc 2 lw 1,\
"Fe.bcc.FM.bands.dn.dat" using 1:4 notitle w l lt 3 lc 2 lw 1,\
"Fe.bcc.FM.bands.dn.dat" using 1:5 notitle w l lt 3 lc 2 lw 1,\
"Fe.bcc.FM.bands.dn.dat" using 1:6 notitle w l lt 3 lc 2 lw 1,\
"Fe.bcc.FM.bands.dn.dat" using 1:7 notitle w l lt 3 lc 2 lw 1

# gv -a4 -mag -2 pdos.ps
pause -1 'Hit any key to continue'
