#!/usr/bin/gnuplot
set terminal postscript eps color solid "Helvetica" 26
set zero 1e-18

set xlabel "Lattice Constant [Bohr]"
set arrow from 15.2873,-0.4 to 15.2873,0.4  nohead lt 3

set output "etot.alat.eps"
set ylabel "Etot (eV)"
plot "Fe.bcc.FM.etot_vs_lattice" using 1:2 t "Etot-alat" w l lt 2 lc 1 lw 2

set output "mag.alat.eps"
set ylabel "M (Bohr Magneton)"
plot "Fe.bcc.FM.mag_vs_lattice" using 1:2 t "Mag-alat" w l lt 2 lc 2 lw 2

# gv -a4 -mag -2 pdos.ps
pause -1 'Hit any key to continue'
