set terminal post eps enhanced solid color "Helvetica" 20
set output "Fe.bccFM.bandstr.eps"
set key off

set xrange [0:3.8]
set yrange [4.:40.]

set arrow from 0.71, 4. to 0.71, 40. nohead  lw 3
set arrow from 1.21, 4. to 1.21, 40. nohead  lw 3
set arrow from 2.07, 4. to 2.07, 40. nohead  lw 3
set arrow from 3.07, 4. to 3.07, 40. nohead  lw 3
set arrow from 0., 12.7 to 3.8, 12.7 nohead lw 1

set ylabel "E (eV)"
unset xtics
set label "{/Symbol G}" at -0.05, 3
set label "N" at 0.65, 3
set label "H" at 1.16, 3
set label "P" at 2.02, 3
set label "G" at 3.02, 3
set label "N" at 3.73, 3

plot "Fe.bccFM.bands.up.xmgr" u 1:2 w l lt 1 lc 1 lw 1,"Fe.bccFM.bands.dn.xmgr" u 1:2 w l lt 3 lc 3 lw 1
