#!/bin/sh
####################################################################
# set the needed environment variables
PW_ROOT="/opt/QE61/bin"
PSEUDO_DIR="/home/jyhuang/WS_QE/pseudo"
TMP_DIR="/home/jyhuang/WS_QE/scratch"
####################################################################
# define some QE variables (do not change)
precmd="mpirun -np 12 --map-by core"

#pseudo=pbe-nd-rrkjus
pseudo=gpbe-n-campos.uspp
name=Fe
#struct=bcc.FM
struct=fcc.FM
nK=10
degauss=0.005

rm -rf results.fsm
mkdir results.fsm
cd results.fsm

rm -f $name.$struct.fsm.out
#for lattice_const in 2.2 2.5 2.8 ; do   Use these for bcc.FM
for lattice_const in 3.5 3.55 3.6 ; do
for Mfsm in  0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6 1.8 2.0 2.2 2.4 2.6    ; do
# scf calculation
cat >  $name.$struct.fsm.in << EOF
 &control
    calculation = 'scf' ,
    restart_mode = 'from_scratch' ,
    pseudo_dir = '$PSEUDO_DIR/',
    outdir='$TMP_DIR/'
    prefix='$name.$struct'
 /
 &system
    ibrav = 2,
    a =$lattice_const,
    nat= 1,
    ntyp= 1,
    nspin = 2,
    tot_magnetization=$Mfsm
    ecutwfc = 35,
    ecutrho = 350.0,
    starting_magnetization(1)=$Mfsm,
    occupations='smearing',
    smearing='MV',
    degauss=$degauss
 /
 &electrons
    conv_thr = 1.0e-8
    mixing_beta = 0.7
 /
ATOMIC_SPECIES
$name 55.847 $name.$pseudo.UPF
ATOMIC_POSITIONS
 $name 0.0 0.0 0.0
K_POINTS automatic
 $nK $nK $nK 0 0 0
EOF

$precmd $PW_ROOT/pw.x < $name.$struct.fsm.in >> $name.$struct.alat$lattice_const.fsm.out

done

cat>>$name.$struct.etot_vs_mag <<EOF1
@#  M  Etot  alat=$lattice_const
EOF1

grep  -e 'total magnetization' -e '!' $name.$struct.alat$lattice_const.fsm.out | awk '{if($1=="!"){i=i+1;energy[i]=$(NF-1)} else {mag[i+1]=$(NF-2)} } END{for (j=1;j<=i;j++) {printf  "\t" mag[j] "\t" energy[j] "\n" }}'  >> $name.$struct.etot_vs_mag   

done
