#!/usr/bin/gnuplot
set terminal postscript eps color solid "Helvetica" 26 
set output "Fe.bcc.surf001.FM.pdos.eps"
set zero 1e-18 

set xlabel "E [eV]"
set ylabel "PDOS"

set xrange [-3:16]
set yrange [0:1.2]
#set arrow from 15.2873,-0.4 to 15.2873,0.4  nohead lt 3

plot "Fe.bcc.surf001.FM.pdos.pdos_atm#1(Fe)_wfc#2(s)" using 1:4 t "Fe:s-Up" w l lt 1 lc 1 lw 1,\
"Fe.bcc.surf001.FM.pdos.pdos_atm#1(Fe)_wfc#3(p)" using 1:4 t "Fe:p-Up" w l lt 1 lc 3 lw 1,\
"Fe.bcc.surf001.FM.pdos.pdos_atm#1(Fe)_wfc#1(d)" using 1:4 t "Fe:d-Up" w l lt 1 lc 4 lw 1,\
"Fe.bcc.surf001.FM.pdos.pdos_atm#5(Fe)_wfc#2(s)" using 1:5 t "s-Down" w l lt 3 lc 1 lw 1,\
"Fe.bcc.surf001.FM.pdos.pdos_atm#5(Fe)_wfc#3(p)" using 1:5 t "p-Down" w l lt 3 lc 3 lw 1,\
"Fe.bcc.surf001.FM.pdos.pdos_atm#5(Fe)_wfc#1(d)" using 1:5 t "d-Down" w l lt 3 lc 4 lw 1

pause -1 'Hit any key to continue'


Format of Fe.bcc.surf001.FM.pdos.pdos_atm#5(Fe)_wfc#1(d)
  1       2          3         4          5          6          7          8          9          10         11         12         13
# E (eV)  ldosup(E)  ldosdw(E) pdosup(E)  pdosdw(E)  pdosup(E)  pdosdw(E)  pdosup(E)  pdosdw(E)  pdosup(E)  pdosdw(E)  pdosup(E)  pdosdw(E)
